Functions
Initialization
kvmlib

## Functions
void | kvmInitialize (void)
kvmStatus | kvmGetVersion (int *major, int *minor, int *build)
kvmStatus | kvmGetErrorText (kvmStatus error, char *buf, size_t len)

## Detailed Description

## Function Documentation

## ◆ kvmGetErrorText()

kvmStatus kvmGetErrorText | ( | kvmStatus | error,
|  | char * | buf,
|  | size_t | len
| ) |  |

Convert a kvmStatus errorcode to a text.

Parameters

  [in] | error | The error code to convert.
  [out] | buf | Buffer to receive error text.
  [in] | len | Buffer size in bytes.

## ◆ kvmGetVersion()

kvmStatus kvmGetVersion | ( | int * | major,
|  | int * | minor,
|  | int * | build
| ) |  |

This function returns the version of the KVMLIB API DLL (kvmlib.dll).

Parameters

  [out] | major | Major version number.
  [out] | minor | Minor version number.
  [out] | build | Build number.

Returns
  version number of kvmlib.dll

## ◆ kvmInitialize()

void kvmInitialize | ( | void |  | ) |

This function must be called before any other functions are used. It will initialize the memolib library.